matrix:
  platform:
  - centos7
  - debian10
  - ubuntu2004
  - macos
tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ platform }}
    build_targets:
    - '@rules_poetry//python/...'
    - '@rules_poetry//lib/...'
bcr_test_module:
  module_path: "examples/transitions"
  matrix:
    platform: ["debian11", "macos", "ubuntu2004"]
  tasks:
    run_test_module:
      name: Run test module
      platform: ${{ platform }}
      test_targets:
      - //...
